
import React, { useMemo } from 'react'
import { View } from '@tarojs/components'
import Spin from '.'
import './style.less'

export default (props) => {
  const { className, style, loading, size = '64rpx', ...leftProps } = props

  const cls = useMemo(() => [className, 'loading-wrapper'].filter(Boolean).join(' '), [className])

  return (
    <View className={cls} style={style}>
      {
        loading && (
          <View className='loading-box'>
            <Spin size={size} {...leftProps} />
          </View>
        )
      }
      {props.children}
    </View>
  )
}
